SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000677SiT!inbound emailpublic2009-05-01 13:352009-08-16 14:40
ReporterBonkie 
Assigned Topaulh 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.50Fixed in Version3.50 
Summary0000677: Bug: Inbox.php when message locked
DescriptionThere is a bug in inbox.php when a other admin locks the message.
We temporarily fixed it with the following code:

(Newest SVN the bug is located on line 174, the other build(s) on line 126)

 if (($incoming->locked != $sit[2]) && ($incoming->locked > 0))
    {
        // TODO option for popup or not (Mantis 619)
        // $url = "javascript:incident_details_window('{$incoming->id}','incomingview');";
        $url = "incident_details.php?id={$incoming->id}&win=incomingview";
        echo "<a href=\"{$url}\" id='update{$incoming->updateid}' class='info'";
        echo " title='View and lock this held e-mail'>";
        echo htmlentities($incoming->subject,ENT_QUOTES, $GLOBALS['i18ncharset']);
        if (!empty($update->bodytext)) echo '<span>'.parse_updatebody(truncate_string($update->bodytext,1024)).'</span>';
        echo "</a>";
        echo " (Locked!)";// by ".user_realname($update['locked'],TRUE);
    }
Additional InformationThe attachment is from SVN build : v3.50 svn5217
TagsNo tags attached.
Attached Files? file icon inbox.php [^] (5,537 bytes) 2009-05-01 13:35

- Relationships

-  Notes
User avatar (0001009)
kieran (administrator)
2009-05-01 14:04

Hi, thanks for the patch.

I should point out that the inbox isn't finished yet. Also, if you're running svn in a non-production environment that's fine but we really discourage it's use for production; once you've upgrade to an svn, any schema upgrades for that version have to then be applied manually. Plus some things don't work as you've found out!
User avatar (0001010)
Bonkie (developer)
2009-05-01 14:09

No thanks..

We don't use it in a production env. So its not that big problem.
But we found the bug, and found it necessary to fix it and share it.
User avatar (0001056)
paulh (administrator)
2009-05-14 19:58

Hi Bonkie, SVN r5372 resolves this.

Cheers for the report and fix.
User avatar (0001737)
ivan (administrator)
2009-08-16 14:40

Released in 3.50rc1

- Issue History
Date Modified Username Field Change
2009-05-01 13:35 Bonkie New Issue
2009-05-01 13:35 Bonkie File Added: inbox.php
2009-05-01 14:04 kieran Note Added: 0001009
2009-05-01 14:09 Bonkie Note Added: 0001010
2009-05-14 19:58 paulh Note Added: 0001056
2009-05-14 19:58 paulh Assigned To => paulh
2009-05-14 19:58 paulh Status new => resolved
2009-05-14 19:58 paulh Resolution open => fixed
2009-05-14 19:58 paulh Fixed in Version => Current SVN
2009-05-14 19:58 paulh Description Updated
2009-08-15 21:31 ivan Target Version => 3.50
2009-08-16 13:15 ivan Fixed in Version Current SVN => 3.50
2009-08-16 14:40 ivan Note Added: 0001737
2009-08-16 14:40 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker